#ifndef _BULLET_H_
#define _BULLET_H_

class Bullet {
	public:
	
	Bullet (float x);
	
	void update ();
	void draw () const;
	
	float x;
	float y;
	float vx;
	
	char stage;
	
	bool flipped;
	bool hit;
};

#include <list>

extern std::list<Bullet*> bullets;

typedef std::list<Bullet*>::iterator bullet_iterator;

#endif

