#ifndef _PARTICLE_H_
#define _PARTICLE_H_

class Particle {
	public:
	
	float x;
	float y;
	float vx;
	float vy;
	float rot;
	float vrot;
	float size;
	float r;
	float g;
	float b;
	
	bool alive;
	
	Particle (float x, float y);
	
	void update ();
	void draw () const;
};

#include <list>

extern std::list<Particle*> particles;

typedef std::list<Particle*>::iterator particle_iterator;

#endif

