#ifndef _PLAYER_H_
#define _PLAYER_H_

#include "image.h"
#include "number.h"

class Player {
	public:
	
	Image* image;
	Image* imageSad;
	Number damage;
	int damagetimer;
	float x;
	bool flip;
	
	Player (float x);
	
	void update (int frame);
	void hit ();
	void draw () const;
	void drawWall () const;
};

extern Player* phil;
extern Player* john;

#endif

