#ifndef _IMAGE_H_
#define _IMAGE_H_

#include "SDL_opengl.h"

class Image {

	public:
	Image(const char* file);
	void draw(float x, float y, float w, float h) const;
	GLuint getTexture() { return texture; };

	// John says there's probably a good reason these are ints.	
	int getWidth() const { return (int) width; };
	int getHeight() const { return (int) height; };
	
	GLuint texture;
	float width;
	float height;

};

#endif
