#include "input.h"
#include "window.h"
//#include "screen.h"

// static members
Uint8* Input::keystate = 0;
Uint8 Input::mousestate = 0;
int Input::mouseX = 0;
int Input::mouseY = 0;

void Input::checkEvents () {
	SDL_Event event;

	while (SDL_PollEvent(&event)) {
		switch (event.type) {
			case SDL_VIDEORESIZE:
				Window::resize(event.resize.w, event.resize.h);
			break;
			case SDL_QUIT:
				exit(0);
			break;
			case SDL_KEYDOWN:
				switch (event.key.keysym.sym) {
					case SDLK_ESCAPE:
					case SDLK_q:
						exit(0);
					break;
					case SDLK_f:
						Window::toggleFullscreen();
					break;
					default: break;
				}
			// NO BREAK! Should fall through to default.
			default:
				//ScreenManager::handleInput(event);
				
				
			break;
		}
	}
	
	keystate = SDL_GetKeyState(NULL);
	mousestate = SDL_GetMouseState(&mouseX, &mouseY);
}

